com.tibco.n2.service.adapter.logging

## Enum AuditActions

- java.lang.Object
- - java.lang.Enum<AuditActions>
  - - com.tibco.n2.service.adapter.logging.AuditActions

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuditActions>

      public enum AuditActions
      extends java.lang.Enum<AuditActions>

  COPYRIGHT: (C) 2007-2014 TIBCO Software Inc. All Rights Reserved.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BDS_CREATE_CASE`
    `BDS_CREATE_DATA_VIEW`
    `BDS_DELETE_CASE_BY_CID`
    `BDS_DELETE_CASE_BY_REF`
    `BDS_DELETE_DATA_VIEW_BY_ID`
    `BDS_DELETE_DATA_VIEW_BY_NAME`
    `BDS_EDIT_DATA_VIEW`
    `BDS_EXECUTE_GENERIC_QUERY`
    `BDS_FIND_ALL_CASES`
    `BDS_FIND_CASE_BY_CID`
    `BDS_FIND_CASE_BY_CRITERIA`
    `BDS_FIND_CASE_BY_EXAMPLE`
    `BDS_GET_CASE_CLASS_INFO`
    `BDS_GET_CASE_CLASS_INFO_BY_APP`
    `BDS_GET_CASE_CLASS_INFO_BY_APP_AND_CLASSES`
    `BDS_GET_CASE_CLASS_INFO_BY_CASE_MODEL`
    `BDS_GET_CASE_CLASS_INFO_BY_CASE_MODEL_AND_CLASSES`
    `BDS_GET_CASE_MODEL`
    `BDS_GET_CASE_MODEL_AUDIT`
    `BDS_GET_CASE_MODEL_BASIC_INFO`
    `BDS_GET_CASE_MODEL_INFO`
    `BDS_GET_CASE_MODEL_VERSION_INFO`
    `BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_ADHOC_VIEW`
    `BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_ID`
    `BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_NAME`
    `BDS_GET_CASE_STATE`
    `BDS_GET_CASE_SUMMARY`
    `BDS_GET_DATA_VIEW_CATEGORIES`
    `BDS_GET_DATA_VIEW_DETAILS`
    `BDS_GET_DATA_VIEW_DETAILS_BY_APP`
    `BDS_GET_DATA_VIEW_DETAILS_BY_CASE_CLASS`
    `BDS_GET_DATA_VIEW_DETAILS_BY_CATEGORY`
    `BDS_GET_DATA_VIEW_DETAILS_BY_ID`
    `BDS_GET_DATA_VIEW_DETAILS_BY_NAME`
    `BDS_LINK_CASE`
    `BDS_NAVIGATE_CASE`
    `BDS_NAVIGATE_CASE_BY_CRITERIA`
    `BDS_NOTIFY_DDL_EXECUTION`
    `BDS_READ_CASE`
    `BDS_UNLINK_CASE`
    `BDS_UPDATE_CASE`
    `BDS_UPDATE_DB_SCRIPT`
    `BRM_ADD_RESOURCE_TO_VIEW`
    `BRM_ALLOCATE_AND_OPEN_NEXT_WORK_ITEM`
    `BRM_ALLOCATE_AND_OPEN_WORK_ITEM`
    `BRM_ALLOCATE_WORK_ITEM`
    `BRM_CANCEL_WORK_ITEM`
    `BRM_CLOSE_WORK_ITEM`
    `BRM_COMPLETE_WORK_ITEM`
    `BRM_CREATE_WORK_LIST_VIEW`
    `BRM_DELETE_ORG_ENTITY_CONFIG_ATTRIBUTES`
    `BRM_DELETE_RESOURCE_FROM_VIEW`
    `BRM_DELETE_WORK_LIST_VIEW`
    `BRM_EDIT_WORK_LIST_VIEW`
    `BRM_EDITABLE_WORK_LIST_VIEWS`
    `BRM_ENABLE_WORK_ITEM`
    `BRM_GET_ORG_ENTITY_CONFIG_ATTRIBUTES`
    `BRM_GET_VIEWS_FOR_RESOURCE`
    `BRM_GET_WORK_ITEM_HEADER`
    `BRM_GET_WORK_LIST_ITEMS_FOR_GLOBAL_DATA`
    `BRM_GET_WORK_LIST_ITEMS_FOR_VIEW`
    `BRM_GET_WORK_VIEW_DETAILS`
    `BRM_GOT_OFFER_SET`
    `BRM_GOT_OFFER_SET_V2`
    `BRM_GOT_ORG_ENTITY_CONFIG_ATTRIBUTES_AVAILABLE`
    `BRM_GOT_RESOURCE_ORDER_FILTER_CRITERIA`
    `BRM_GOT_WORK_ITEM_ORDER_FILTER`
    `BRM_GOT_WORK_LIST`
    `BRM_OPEN_WORK_ITEM`
    `BRM_PEND_WORK_ITEM`
    `BRM_PREVIEW_WORK_ITEM_FROM_LIST`
    `BRM_PRIORITISE_WORK_ITEM`
    `BRM_PUBLIC_WORK_LIST_VIEWS`
    `BRM_REALLOCATE_WORK_ITEM`
    `BRM_REALLOCATE_WORK_ITEM_DATA`
    `BRM_RESCHEDULE_WORK_ITEM`
    `BRM_RESUME_WORK_ITEM`
    `BRM_SAVE_OPEN_WORK_ITEM`
    `BRM_SCHEDULE_WORK_ITEM`
    `BRM_SCHEDULE_WORK_ITEM_WITH_WORK_MODEL`
    `BRM_SET_ORG_ENTITY_CONFIG_ATTRIBUTES`
    `BRM_SET_RESOURCE_ORDER_FILTER_CRITERIA`
    `BRM_SKIP_WORK_ITEM`
    `BRM_SUSPEND_WORK_ITEM`
    `BRM_UNALLOCATE_WORK_ITEM`
    `BRM_UNLOCK_WORK_LIST_VIEW`
    `BS_INJECTED_BUSINESS_SERVICE_EVENT`
    `BS_LISTED_CATEGORIES`
    `BS_LISTED_SERVICES`
    `BS_QUERIED_CATEGORIES`
    `BS_QUERIED_SERVICES`
    `BS_STARTED_BUSINESS_SERVICE`
    `BS_UPDATED_BUSINESS_SERVICE`
    `BX_CANCEL_ADHOC_ACTIVITY`
    `BX_CANCEL_PROCESS_INSTANCE`
    `BX_CANCEL_PROCESS_INSTANCES`
    `BX_CHECK_PURGE_TERMINATED_PROCESS_INSTANCES`
    `BX_CLEAR_MIGRATION_RULES`
    `BX_CREATED_PROCESS_INSTANCE`
    `BX_DECODE_PROCESS_ID`
    `BX_DELETE_PROCESS_INSTANCES`
    `BX_DISPATCH_SIGNAL`
    `BX_GET_AVAILABLE_PROCESSINSTANCE_VARIABLES`
    `BX_GOT_ACTIVITY_INSTANCE_STATUS`
    `BX_GOT_MIGRATION_POINTS`
    `BX_GOT_PROCESS_INSTANCE_ATTRIBUTE_LIST`
    `BX_GOT_PROCESS_INSTANCE_LIST`
    `BX_GOT_PROCESS_INSTANCE_STATUS`
    `BX_GOT_PROCESS_STARTER_OPERATIONS_INFO`
    `BX_GOT_PROCESS_SUMMARY`
    `BX_GOT_PROCESS_TEMPLATE_ATTRIBUTE_LIST`
    `BX_GOT_PROCESS_TEMPLATE_LIST`
    `BX_IGNORE_PROCESS_INSTANCE`
    `BX_IGNORE_PROCESS_INSTANCES`
    `BX_ISSET_MIGRATION_RULE`
    `BX_LIST_ADHOC_ACTIVITIES`
    `BX_LIST_MIGRATION_RULES`
    `BX_PURGE_PROCESS_INSTANCES`
    `BX_PURGE_TERMINATED_PROCESS_INSTANCES`
    `BX_QUERY_APPLICATIONS`
    `BX_QUERY_DONE`
    `BX_QUERY_FIRST_PAGE`
    `BX_QUERY_HALTED_PROCESS_INSTANCES`
    `BX_QUERY_LAST_PAGE`
    `BX_QUERY_NEXT_PAGE`
    `BX_QUERY_PREVIOUS_PAGE`
    `BX_QUERY_PROCESS_INSTANCE_CNT`
    `BX_QUERY_PROCESS_INSTANCES`
    `BX_QUERY_PROCESS_INSTANCES_ALT`
    `BX_QUERY_PROCESS_TEMPLATE_CNT`
    `BX_QUERY_PROCESS_TEMPLATES`
    `BX_QUERY_PROCESS_TEMPLATES_ALT`
    `BX_QUERY_TERMINATED_PROCESS_INSTANCES`
    `BX_REPLACE_USER`
    `BX_RESUME_HALTED_PROCESS_INSTANCE`
    `BX_RESUME_HALTED_PROCESS_INSTANCES`
    `BX_RESUME_PROCESS_INSTANCE`
    `BX_RESUME_PROCESS_INSTANCES`
    `BX_RETRY_PROCESS_INSTANCE`
    `BX_RETRY_PROCESS_INSTANCES`
    `BX_RUN_ADHOC_ACTIVITY`
    `BX_SAVE_TERMINATED_PROCESS_INSTANCES`
    `BX_SAVE_TERMINATED_PROCESS_INSTANCES_OPT_PARAMS`
    `BX_SET_AVAILABLE_PROCESS_INSTANCE_VARIABLES`
    `BX_SET_DEADLINE_EXPIRATION`
    `BX_SET_MIGRATION_POINTS`
    `BX_SET_PRIORITY`
    `BX_STARTED_PROCESS`
    `BX_STOP_PURGE_TERMINATED_PROCESS_INSTANCES`
    `BX_SUSPEND_PROCESS_INSTANCE`
    `BX_SUSPEND_PROCESS_INSTANCES`
    `BX_UNSET_MIGRATION_RULES`
    `CANCEL_BUSINESS_SERVICE`
    `CANCEL_PAGEFLOW`
    `DAC_ADDED_CALENDAR_ENTRY`
    `DAC_ADDED_WORKING_DAY_EXCEPTIONS`
    `DAC_CALCULATED_BUSINESS_DEADLINE`
    `DAC_CALCULATED_DEADLINE`
    `DAC_DELETED_CALENDAR`
    `DAC_DELETED_CALENDAR_ENTRIES`
    `DAC_DELETED_WORKING_DAY_EXCEPTIONS`
    `DAC_GOT_CALENDAR`
    `DAC_GOT_CALENDAR_ENTRIES`
    `DAC_LISTED_CALENDARS`
    `DAC_LISTED_TIMEZONES`
    `DAC_PURGED_CALENDAR_ENTRIES`
    `DAC_RENAMED_CALENDAR`
    `DAC_RESOLVED_CALENDAR_REFS`
    `DAC_SAVED_CALENDAR`
    `DAC_SAVED_CALENDAR_REFS`
    `DAC_UPDATED_CALENDAR_ENTRY`
    `DAC_UPDATED_WORKING_DAY_EXCEPTIONS`
    `DAC_UPDATED_WORKING_DAYS`
    `DE_ACTION_AUTHORISED`
    `DE_ARCHIVED_RESOURCES`
    `DE_AUTHENTICATE_USER`
    `DE_CREATED_RESOURCES`
    `DE_DELETE_LDAP_CONTAINER_DETAIL`
    `DE_DELETE_USER_SETTINGS`
    `DE_DELETED_RESOURCE`
    `DE_DELETED_RESOURCES`
    `DE_EXECUTE_QUERY`
    `DE_EXPORT_RESOURCES`
    `DE_FIND_RESOURCES`
    `DE_GET_CANDIDATE_QUERIES`
    `DE_GET_PUSH_DESTINATIONS`
    `DE_GET_USER_SETTINGS`
    `DE_GOT_ASSOCIATED_RESOURCES`
    `DE_GOT_BUSINESS_PARAMETERS`
    `DE_GOT_BUSINESS_PARAMETERS_LIST`
    `DE_GOT_CALENDAR_REFS`
    `DE_GOT_CAPABILITIES`
    `DE_GOT_CONTAINER_RESOURCES_LIST`
    `DE_GOT_LDAP_ATTRIBUTE_NAMES_LIST`
    `DE_GOT_LDAP_ATTRIBUTES_LIST`
    `DE_GOT_LDAP_CONTAINER_DETAIL`
    `DE_GOT_LDAP_CONTAINERS`
    `DE_GOT_LDAP_ENTITIES_LIST`
    `DE_GOT_LDAP_SOURCES_LIST`
    `DE_GOT_LIST_CAPABILITIES`
    `DE_GOT_LIST_PRIVILEGES`
    `DE_GOT_MAPPED_ENTITIES_LIST`
    `DE_GOT_ORG_MODEL_NODE`
    `DE_GOT_ORG_MODEL_OVERVIEW`
    `DE_GOT_ORGANIZATIONS_LIST`
    `DE_GOT_PRIVILEGES`
    `DE_GOT_PUSH_DESTINATIONS`
    `DE_GOT_RESOURCE_DETAIL`
    `DE_GOT_RESOURCE_GUID`
    `DE_GOT_RESOURCES`
    `DE_GOT_SYSTEM_PARAMETERS`
    `DE_GOT_SYSTEM_PARAMETERS_LIST`
    `DE_GOT_USER_PRIVILEGES`
    `DE_GOT_VERSION_MODEL_LIST`
    `DE_IMPORT_RESOURCES`
    `DE_LIST_USER_SETTING_IDS`
    `DE_LISTED_VERSIONS`
    `DE_LOOKUP_USER_BY_NAME_DN`
    `DE_MAP_ENTITIES`
    `DE_OPENED_ORG_MODEL`
    `DE_PROCESS_EXTENSION_POINTS`
    `DE_PURGE_RESOURCES`
    `DE_RETRIEVED_MODEL`
    `DE_RETRIEVED_MODEL_ENTITY`
    `DE_RETRIEVED_MODEL_ROOTS`
    `DE_SAVE_LDAP_CONTAINER_DETAIL`
    `DE_SAVE_USER_SETTINGS`
    `DE_SET_BUSINESS_PARAMETERS`
    `DE_SET_CALENDAR_REFS`
    `DE_SET_CANDIDATE_QUERIES`
    `DE_SET_EXTENSION_POINTS`
    `DE_SET_PUSH_DESTINATIONS`
    `DE_SET_SYSTEM_PARAMETERS`
    `DE_UPDATE_LDAP_RESOURCE`
    `DE_UPDATE_USER_PRIVILEGES`
    `DE_UPDATED_RESOURCES`
    `DOCUMENT_CREATE`
    `DOCUMENT_DELETE`
    `DOCUMENT_DELETE_ORPHANED`
    `DOCUMENT_FIND`
    `DOCUMENT_GET_FOLDER`
    `DOCUMENT_GET_REPOSITORY_INFO`
    `DOCUMENT_LINK`
    `DOCUMENT_METADATA`
    `DOCUMENT_MOVE`
    `DOCUMENT_READ`
    `DOCUMENT_UNLINK`
    `EC_BATCH_EVENT`
    `EC_CHECK_AUTO_ARCHIVE`
    `EC_CHECK_PURGE_AUDIT`
    `EC_COMMENT`
    `EC_DO_PURGE_AUDIT`
    `EC_EVENT`
    `EC_EXECUTE_QUERY`
    `EC_EXECUTE_REGISTERED_QUERY`
    `EC_GET_ALL_ATTRIBUTES`
    `EC_GET_ATTRIBUTES`
    `EC_GET_CASE_AUDIT`
    `EC_GET_CHART`
    `EC_GET_CHART_DATA`
    `EC_GET_COMMENT_REPORT`
    `EC_GET_COMPONENTS`
    `EC_GET_CONFIGURATION`
    `EC_GET_PI_AUDIT`
    `EC_GET_WORKITEM_AUDIT`
    `EC_IS_QUERY_REGISTERED`
    `EC_REGISTER_ATTRIBUTES`
    `EC_REGISTER_COMPONENT`
    `EC_REGISTER_ENVIRONMENT`
    `EC_REGISTER_MESSAGES`
    `EC_REGISTER_QUERY`
    `EC_SET_CONFIGURATION`
    `EC_STOP_AUTO_ARCHIVE`
    `EC_STOP_PURGE_AUDIT`
    `EC_TRIGGER_AUTO_ARCHIVE`
    `PFE_INJECTED_PAGE_FLOW_EVENT`
    `PFE_LISTED_PAGE_FLOWS`
    `PFE_STARTED_PAGE_FLOW`
    `PFE_UPDATED_PAGE_FLOW`
    `USER_LOGIN`
    `USER_LOGOUT`
    `WP_CANCEL_WORK_ITEM`
    `WP_CHANNELBUS_GET_CHANNEL_DETAIL`
    `WP_CHANNELBUS_LIST_CHANNEL_TYPES`
    `WP_CLOSE_WORK_ITEM`
    `WP_COMPLETE_WORK_ITEM`
    `WP_GET_BUSINESS_SERVICE_DETAILS`
    `WP_INITIATE_WORK_ITEM`
    `WP_OPEN_WORK_ITEM`
    `WP_PREVIEW_WORK_ITEM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuditActions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuditActions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER_LOGIN

          public static final AuditActions USER_LOGIN

    - #### USER_LOGOUT

          public static final AuditActions USER_LOGOUT

    - #### WP_INITIATE_WORK_ITEM

          public static final AuditActions WP_INITIATE_WORK_ITEM

    - #### WP_CLOSE_WORK_ITEM

          public static final AuditActions WP_CLOSE_WORK_ITEM

    - #### WP_COMPLETE_WORK_ITEM

          public static final AuditActions WP_COMPLETE_WORK_ITEM

    - #### WP_CANCEL_WORK_ITEM

          public static final AuditActions WP_CANCEL_WORK_ITEM

    - #### WP_OPEN_WORK_ITEM

          public static final AuditActions WP_OPEN_WORK_ITEM

    - #### WP_GET_BUSINESS_SERVICE_DETAILS

          public static final AuditActions WP_GET_BUSINESS_SERVICE_DETAILS

    - #### WP_PREVIEW_WORK_ITEM

          public static final AuditActions WP_PREVIEW_WORK_ITEM

    - #### WP_CHANNELBUS_LIST_CHANNEL_TYPES

          public static final AuditActions WP_CHANNELBUS_LIST_CHANNEL_TYPES

    - #### WP_CHANNELBUS_GET_CHANNEL_DETAIL

          public static final AuditActions WP_CHANNELBUS_GET_CHANNEL_DETAIL

    - #### BX_GOT_PROCESS_TEMPLATE_LIST

          public static final AuditActions BX_GOT_PROCESS_TEMPLATE_LIST

    - #### BX_GOT_PROCESS_INSTANCE_LIST

          public static final AuditActions BX_GOT_PROCESS_INSTANCE_LIST

    - #### BX_GOT_PROCESS_STARTER_OPERATIONS_INFO

          public static final AuditActions BX_GOT_PROCESS_STARTER_OPERATIONS_INFO

    - #### BX_STARTED_PROCESS

          public static final AuditActions BX_STARTED_PROCESS

    - #### BX_CREATED_PROCESS_INSTANCE

          public static final AuditActions BX_CREATED_PROCESS_INSTANCE

    - #### BX_GOT_PROCESS_SUMMARY

          public static final AuditActions BX_GOT_PROCESS_SUMMARY

    - #### BX_CANCEL_PROCESS_INSTANCE

          public static final AuditActions BX_CANCEL_PROCESS_INSTANCE

    - #### BX_CANCEL_PROCESS_INSTANCES

          public static final AuditActions BX_CANCEL_PROCESS_INSTANCES

    - #### BX_RESUME_HALTED_PROCESS_INSTANCE

          public static final AuditActions BX_RESUME_HALTED_PROCESS_INSTANCE

    - #### BX_RESUME_HALTED_PROCESS_INSTANCES

          public static final AuditActions BX_RESUME_HALTED_PROCESS_INSTANCES

    - #### BX_RESUME_PROCESS_INSTANCE

          public static final AuditActions BX_RESUME_PROCESS_INSTANCE

    - #### BX_RESUME_PROCESS_INSTANCES

          public static final AuditActions BX_RESUME_PROCESS_INSTANCES

    - #### BX_SUSPEND_PROCESS_INSTANCE

          public static final AuditActions BX_SUSPEND_PROCESS_INSTANCE

    - #### BX_SUSPEND_PROCESS_INSTANCES

          public static final AuditActions BX_SUSPEND_PROCESS_INSTANCES

    - #### BX_GOT_ACTIVITY_INSTANCE_STATUS

          public static final AuditActions BX_GOT_ACTIVITY_INSTANCE_STATUS

    - #### BX_GOT_PROCESS_INSTANCE_STATUS

          public static final AuditActions BX_GOT_PROCESS_INSTANCE_STATUS

    - #### BX_GOT_PROCESS_INSTANCE_ATTRIBUTE_LIST

          public static final AuditActions BX_GOT_PROCESS_INSTANCE_ATTRIBUTE_LIST

    - #### BX_GOT_PROCESS_TEMPLATE_ATTRIBUTE_LIST

          public static final AuditActions BX_GOT_PROCESS_TEMPLATE_ATTRIBUTE_LIST

    - #### BX_PURGE_PROCESS_INSTANCES

          public static final AuditActions BX_PURGE_PROCESS_INSTANCES

    - #### BX_QUERY_DONE

          public static final AuditActions BX_QUERY_DONE

    - #### BX_QUERY_NEXT_PAGE

          public static final AuditActions BX_QUERY_NEXT_PAGE

    - #### BX_QUERY_PREVIOUS_PAGE

          public static final AuditActions BX_QUERY_PREVIOUS_PAGE

    - #### BX_QUERY_LAST_PAGE

          public static final AuditActions BX_QUERY_LAST_PAGE

    - #### BX_QUERY_FIRST_PAGE

          public static final AuditActions BX_QUERY_FIRST_PAGE

    - #### BX_QUERY_PROCESS_INSTANCE_CNT

          public static final AuditActions BX_QUERY_PROCESS_INSTANCE_CNT

    - #### BX_QUERY_PROCESS_INSTANCES

          public static final AuditActions BX_QUERY_PROCESS_INSTANCES

    - #### BX_QUERY_PROCESS_INSTANCES_ALT

          public static final AuditActions BX_QUERY_PROCESS_INSTANCES_ALT

    - #### BX_QUERY_PROCESS_TEMPLATE_CNT

          public static final AuditActions BX_QUERY_PROCESS_TEMPLATE_CNT

    - #### BX_QUERY_PROCESS_TEMPLATES

          public static final AuditActions BX_QUERY_PROCESS_TEMPLATES

    - #### BX_QUERY_PROCESS_TEMPLATES_ALT

          public static final AuditActions BX_QUERY_PROCESS_TEMPLATES_ALT

    - #### BX_SET_PRIORITY

          public static final AuditActions BX_SET_PRIORITY

    - #### BX_SET_DEADLINE_EXPIRATION

          public static final AuditActions BX_SET_DEADLINE_EXPIRATION

    - #### BX_GOT_MIGRATION_POINTS

          public static final AuditActions BX_GOT_MIGRATION_POINTS

    - #### BX_SET_MIGRATION_POINTS

          public static final AuditActions BX_SET_MIGRATION_POINTS

    - #### BX_LIST_MIGRATION_RULES

          public static final AuditActions BX_LIST_MIGRATION_RULES

    - #### BX_ISSET_MIGRATION_RULE

          public static final AuditActions BX_ISSET_MIGRATION_RULE

    - #### BX_UNSET_MIGRATION_RULES

          public static final AuditActions BX_UNSET_MIGRATION_RULES

    - #### BX_CLEAR_MIGRATION_RULES

          public static final AuditActions BX_CLEAR_MIGRATION_RULES

    - #### BX_RETRY_PROCESS_INSTANCE

          public static final AuditActions BX_RETRY_PROCESS_INSTANCE

    - #### BX_RETRY_PROCESS_INSTANCES

          public static final AuditActions BX_RETRY_PROCESS_INSTANCES

    - #### BX_IGNORE_PROCESS_INSTANCE

          public static final AuditActions BX_IGNORE_PROCESS_INSTANCE

    - #### BX_IGNORE_PROCESS_INSTANCES

          public static final AuditActions BX_IGNORE_PROCESS_INSTANCES

    - #### BX_QUERY_HALTED_PROCESS_INSTANCES

          public static final AuditActions BX_QUERY_HALTED_PROCESS_INSTANCES

    - #### BX_DECODE_PROCESS_ID

          public static final AuditActions BX_DECODE_PROCESS_ID

    - #### BX_GET_AVAILABLE_PROCESSINSTANCE_VARIABLES

          public static final AuditActions BX_GET_AVAILABLE_PROCESSINSTANCE_VARIABLES

    - #### BX_SET_AVAILABLE_PROCESS_INSTANCE_VARIABLES

          public static final AuditActions BX_SET_AVAILABLE_PROCESS_INSTANCE_VARIABLES

    - #### BX_CHECK_PURGE_TERMINATED_PROCESS_INSTANCES

          public static final AuditActions BX_CHECK_PURGE_TERMINATED_PROCESS_INSTANCES

    - #### BX_QUERY_TERMINATED_PROCESS_INSTANCES

          public static final AuditActions BX_QUERY_TERMINATED_PROCESS_INSTANCES

    - #### BX_STOP_PURGE_TERMINATED_PROCESS_INSTANCES

          public static final AuditActions BX_STOP_PURGE_TERMINATED_PROCESS_INSTANCES

    - #### BX_QUERY_APPLICATIONS

          public static final AuditActions BX_QUERY_APPLICATIONS

    - #### BX_DELETE_PROCESS_INSTANCES

          public static final AuditActions BX_DELETE_PROCESS_INSTANCES

    - #### BX_PURGE_TERMINATED_PROCESS_INSTANCES

          public static final AuditActions BX_PURGE_TERMINATED_PROCESS_INSTANCES

    - #### BX_SAVE_TERMINATED_PROCESS_INSTANCES

          public static final AuditActions BX_SAVE_TERMINATED_PROCESS_INSTANCES

    - #### BX_SAVE_TERMINATED_PROCESS_INSTANCES_OPT_PARAMS

          public static final AuditActions BX_SAVE_TERMINATED_PROCESS_INSTANCES_OPT_PARAMS

    - #### BX_REPLACE_USER

          public static final AuditActions BX_REPLACE_USER

    - #### BX_LIST_ADHOC_ACTIVITIES

          public static final AuditActions BX_LIST_ADHOC_ACTIVITIES

    - #### BX_RUN_ADHOC_ACTIVITY

          public static final AuditActions BX_RUN_ADHOC_ACTIVITY

    - #### BX_CANCEL_ADHOC_ACTIVITY

          public static final AuditActions BX_CANCEL_ADHOC_ACTIVITY

    - #### BX_DISPATCH_SIGNAL

          public static final AuditActions BX_DISPATCH_SIGNAL

    - #### BRM_GOT_WORK_LIST

          public static final AuditActions BRM_GOT_WORK_LIST

    - #### BRM_GOT_WORK_ITEM_ORDER_FILTER

          public static final AuditActions BRM_GOT_WORK_ITEM_ORDER_FILTER

    - #### BRM_GOT_RESOURCE_ORDER_FILTER_CRITERIA

          public static final AuditActions BRM_GOT_RESOURCE_ORDER_FILTER_CRITERIA

    - #### BRM_SET_RESOURCE_ORDER_FILTER_CRITERIA

          public static final AuditActions BRM_SET_RESOURCE_ORDER_FILTER_CRITERIA

    - #### BRM_PREVIEW_WORK_ITEM_FROM_LIST

          public static final AuditActions BRM_PREVIEW_WORK_ITEM_FROM_LIST

    - #### BRM_CREATE_WORK_LIST_VIEW

          public static final AuditActions BRM_CREATE_WORK_LIST_VIEW

    - #### BRM_EDIT_WORK_LIST_VIEW

          public static final AuditActions BRM_EDIT_WORK_LIST_VIEW

    - #### BRM_DELETE_WORK_LIST_VIEW

          public static final AuditActions BRM_DELETE_WORK_LIST_VIEW

    - #### BRM_UNLOCK_WORK_LIST_VIEW

          public static final AuditActions BRM_UNLOCK_WORK_LIST_VIEW

    - #### BRM_EDITABLE_WORK_LIST_VIEWS

          public static final AuditActions BRM_EDITABLE_WORK_LIST_VIEWS

    - #### BRM_PUBLIC_WORK_LIST_VIEWS

          public static final AuditActions BRM_PUBLIC_WORK_LIST_VIEWS

    - #### BRM_ADD_RESOURCE_TO_VIEW

          public static final AuditActions BRM_ADD_RESOURCE_TO_VIEW

    - #### BRM_DELETE_RESOURCE_FROM_VIEW

          public static final AuditActions BRM_DELETE_RESOURCE_FROM_VIEW

    - #### BRM_GET_VIEWS_FOR_RESOURCE

          public static final AuditActions BRM_GET_VIEWS_FOR_RESOURCE

    - #### BRM_GET_WORK_LIST_ITEMS_FOR_VIEW

          public static final AuditActions BRM_GET_WORK_LIST_ITEMS_FOR_VIEW

    - #### BRM_GET_WORK_VIEW_DETAILS

          public static final AuditActions BRM_GET_WORK_VIEW_DETAILS

    - #### BRM_GET_WORK_LIST_ITEMS_FOR_GLOBAL_DATA

          public static final AuditActions BRM_GET_WORK_LIST_ITEMS_FOR_GLOBAL_DATA

    - #### BRM_REALLOCATE_WORK_ITEM

          public static final AuditActions BRM_REALLOCATE_WORK_ITEM

    - #### BRM_REALLOCATE_WORK_ITEM_DATA

          public static final AuditActions BRM_REALLOCATE_WORK_ITEM_DATA

    - #### BRM_GOT_OFFER_SET

          public static final AuditActions BRM_GOT_OFFER_SET

    - #### BRM_UNALLOCATE_WORK_ITEM

          public static final AuditActions BRM_UNALLOCATE_WORK_ITEM

    - #### BRM_ALLOCATE_WORK_ITEM

          public static final AuditActions BRM_ALLOCATE_WORK_ITEM

    - #### BRM_ALLOCATE_AND_OPEN_WORK_ITEM

          public static final AuditActions BRM_ALLOCATE_AND_OPEN_WORK_ITEM

    - #### BRM_ALLOCATE_AND_OPEN_NEXT_WORK_ITEM

          public static final AuditActions BRM_ALLOCATE_AND_OPEN_NEXT_WORK_ITEM

    - #### BRM_COMPLETE_WORK_ITEM

          public static final AuditActions BRM_COMPLETE_WORK_ITEM

    - #### BRM_OPEN_WORK_ITEM

          public static final AuditActions BRM_OPEN_WORK_ITEM

    - #### BRM_SAVE_OPEN_WORK_ITEM

          public static final AuditActions BRM_SAVE_OPEN_WORK_ITEM

    - #### BRM_GET_WORK_ITEM_HEADER

          public static final AuditActions BRM_GET_WORK_ITEM_HEADER

    - #### BRM_SKIP_WORK_ITEM

          public static final AuditActions BRM_SKIP_WORK_ITEM

    - #### BRM_CLOSE_WORK_ITEM

          public static final AuditActions BRM_CLOSE_WORK_ITEM

    - #### BRM_PEND_WORK_ITEM

          public static final AuditActions BRM_PEND_WORK_ITEM

    - #### BRM_PRIORITISE_WORK_ITEM

          public static final AuditActions BRM_PRIORITISE_WORK_ITEM

    - #### BRM_GOT_OFFER_SET_V2

          public static final AuditActions BRM_GOT_OFFER_SET_V2

    - #### BRM_DELETE_ORG_ENTITY_CONFIG_ATTRIBUTES

          public static final AuditActions BRM_DELETE_ORG_ENTITY_CONFIG_ATTRIBUTES

    - #### BRM_SET_ORG_ENTITY_CONFIG_ATTRIBUTES

          public static final AuditActions BRM_SET_ORG_ENTITY_CONFIG_ATTRIBUTES

    - #### BRM_GET_ORG_ENTITY_CONFIG_ATTRIBUTES

          public static final AuditActions BRM_GET_ORG_ENTITY_CONFIG_ATTRIBUTES

    - #### BRM_GOT_ORG_ENTITY_CONFIG_ATTRIBUTES_AVAILABLE

          public static final AuditActions BRM_GOT_ORG_ENTITY_CONFIG_ATTRIBUTES_AVAILABLE

    - #### BRM_CANCEL_WORK_ITEM

          public static final AuditActions BRM_CANCEL_WORK_ITEM

    - #### BRM_ENABLE_WORK_ITEM

          public static final AuditActions BRM_ENABLE_WORK_ITEM

    - #### BRM_RESCHEDULE_WORK_ITEM

          public static final AuditActions BRM_RESCHEDULE_WORK_ITEM

    - #### BRM_RESUME_WORK_ITEM

          public static final AuditActions BRM_RESUME_WORK_ITEM

    - #### BRM_SCHEDULE_WORK_ITEM

          public static final AuditActions BRM_SCHEDULE_WORK_ITEM

    - #### BRM_SCHEDULE_WORK_ITEM_WITH_WORK_MODEL

          public static final AuditActions BRM_SCHEDULE_WORK_ITEM_WITH_WORK_MODEL

    - #### BRM_SUSPEND_WORK_ITEM

          public static final AuditActions BRM_SUSPEND_WORK_ITEM

    - #### DE_GOT_LDAP_CONTAINERS

          public static final AuditActions DE_GOT_LDAP_CONTAINERS

    - #### DE_GOT_LDAP_CONTAINER_DETAIL

          public static final AuditActions DE_GOT_LDAP_CONTAINER_DETAIL

    - #### DE_SAVE_LDAP_CONTAINER_DETAIL

          public static final AuditActions DE_SAVE_LDAP_CONTAINER_DETAIL

    - #### DE_DELETE_LDAP_CONTAINER_DETAIL

          public static final AuditActions DE_DELETE_LDAP_CONTAINER_DETAIL

    - #### DE_GOT_BUSINESS_PARAMETERS

          public static final AuditActions DE_GOT_BUSINESS_PARAMETERS

    - #### DE_GOT_BUSINESS_PARAMETERS_LIST

          public static final AuditActions DE_GOT_BUSINESS_PARAMETERS_LIST

    - #### DE_SET_BUSINESS_PARAMETERS

          public static final AuditActions DE_SET_BUSINESS_PARAMETERS

    - #### DE_GOT_SYSTEM_PARAMETERS

          public static final AuditActions DE_GOT_SYSTEM_PARAMETERS

    - #### DE_GOT_SYSTEM_PARAMETERS_LIST

          public static final AuditActions DE_GOT_SYSTEM_PARAMETERS_LIST

    - #### DE_SET_SYSTEM_PARAMETERS

          public static final AuditActions DE_SET_SYSTEM_PARAMETERS

    - #### DE_GOT_PUSH_DESTINATIONS

          public static final AuditActions DE_GOT_PUSH_DESTINATIONS

    - #### DE_SET_PUSH_DESTINATIONS

          public static final AuditActions DE_SET_PUSH_DESTINATIONS

    - #### DE_GOT_VERSION_MODEL_LIST

          public static final AuditActions DE_GOT_VERSION_MODEL_LIST

    - #### DE_GOT_ORG_MODEL_NODE

          public static final AuditActions DE_GOT_ORG_MODEL_NODE

    - #### DE_GOT_ORG_MODEL_OVERVIEW

          public static final AuditActions DE_GOT_ORG_MODEL_OVERVIEW

    - #### DE_OPENED_ORG_MODEL

          public static final AuditActions DE_OPENED_ORG_MODEL

    - #### DE_GOT_LIST_PRIVILEGES

          public static final AuditActions DE_GOT_LIST_PRIVILEGES

    - #### DE_GOT_LIST_CAPABILITIES

          public static final AuditActions DE_GOT_LIST_CAPABILITIES

    - #### DE_GOT_PRIVILEGES

          public static final AuditActions DE_GOT_PRIVILEGES

    - #### DE_GOT_CAPABILITIES

          public static final AuditActions DE_GOT_CAPABILITIES

    - #### DE_GOT_ORGANIZATIONS_LIST

          public static final AuditActions DE_GOT_ORGANIZATIONS_LIST

    - #### DE_GOT_LDAP_ATTRIBUTES_LIST

          public static final AuditActions DE_GOT_LDAP_ATTRIBUTES_LIST

    - #### DE_GOT_LDAP_SOURCES_LIST

          public static final AuditActions DE_GOT_LDAP_SOURCES_LIST

    - #### DE_GOT_LDAP_ENTITIES_LIST

          public static final AuditActions DE_GOT_LDAP_ENTITIES_LIST

    - #### DE_GOT_CONTAINER_RESOURCES_LIST

          public static final AuditActions DE_GOT_CONTAINER_RESOURCES_LIST

    - #### DE_GOT_LDAP_ATTRIBUTE_NAMES_LIST

          public static final AuditActions DE_GOT_LDAP_ATTRIBUTE_NAMES_LIST

    - #### DE_GOT_RESOURCE_DETAIL

          public static final AuditActions DE_GOT_RESOURCE_DETAIL

    - #### DE_GOT_ASSOCIATED_RESOURCES

          public static final AuditActions DE_GOT_ASSOCIATED_RESOURCES

    - #### DE_LOOKUP_USER_BY_NAME_DN

          public static final AuditActions DE_LOOKUP_USER_BY_NAME_DN

    - #### DE_UPDATE_LDAP_RESOURCE

          public static final AuditActions DE_UPDATE_LDAP_RESOURCE

    - #### DE_GOT_RESOURCE_GUID

          public static final AuditActions DE_GOT_RESOURCE_GUID

    - #### DE_GOT_MAPPED_ENTITIES_LIST

          public static final AuditActions DE_GOT_MAPPED_ENTITIES_LIST

    - #### DE_MAP_ENTITIES

          public static final AuditActions DE_MAP_ENTITIES

    - #### DE_DELETED_RESOURCE

          public static final AuditActions DE_DELETED_RESOURCE

    - #### DE_GOT_USER_PRIVILEGES

          public static final AuditActions DE_GOT_USER_PRIVILEGES

    - #### DE_UPDATE_USER_PRIVILEGES

          public static final AuditActions DE_UPDATE_USER_PRIVILEGES

    - #### DE_AUTHENTICATE_USER

          public static final AuditActions DE_AUTHENTICATE_USER

    - #### DE_ACTION_AUTHORISED

          public static final AuditActions DE_ACTION_AUTHORISED

    - #### DE_DELETE_USER_SETTINGS

          public static final AuditActions DE_DELETE_USER_SETTINGS

    - #### DE_GET_USER_SETTINGS

          public static final AuditActions DE_GET_USER_SETTINGS

    - #### DE_LIST_USER_SETTING_IDS

          public static final AuditActions DE_LIST_USER_SETTING_IDS

    - #### DE_SAVE_USER_SETTINGS

          public static final AuditActions DE_SAVE_USER_SETTINGS

    - #### DE_EXPORT_RESOURCES

          public static final AuditActions DE_EXPORT_RESOURCES

    - #### DE_IMPORT_RESOURCES

          public static final AuditActions DE_IMPORT_RESOURCES

    - #### DE_EXECUTE_QUERY

          public static final AuditActions DE_EXECUTE_QUERY

    - #### DE_CREATED_RESOURCES

          public static final AuditActions DE_CREATED_RESOURCES

    - #### DE_DELETED_RESOURCES

          public static final AuditActions DE_DELETED_RESOURCES

    - #### DE_GOT_RESOURCES

          public static final AuditActions DE_GOT_RESOURCES

    - #### DE_UPDATED_RESOURCES

          public static final AuditActions DE_UPDATED_RESOURCES

    - #### DE_FIND_RESOURCES

          public static final AuditActions DE_FIND_RESOURCES

    - #### DE_ARCHIVED_RESOURCES

          public static final AuditActions DE_ARCHIVED_RESOURCES

    - #### DE_PURGE_RESOURCES

          public static final AuditActions DE_PURGE_RESOURCES

    - #### DE_GET_PUSH_DESTINATIONS

          public static final AuditActions DE_GET_PUSH_DESTINATIONS

    - #### DE_LISTED_VERSIONS

          public static final AuditActions DE_LISTED_VERSIONS

    - #### DE_RETRIEVED_MODEL_ROOTS

          public static final AuditActions DE_RETRIEVED_MODEL_ROOTS

    - #### DE_RETRIEVED_MODEL_ENTITY

          public static final AuditActions DE_RETRIEVED_MODEL_ENTITY

    - #### DE_RETRIEVED_MODEL

          public static final AuditActions DE_RETRIEVED_MODEL

    - #### DE_GOT_CALENDAR_REFS

          public static final AuditActions DE_GOT_CALENDAR_REFS

    - #### DE_SET_CALENDAR_REFS

          public static final AuditActions DE_SET_CALENDAR_REFS

    - #### DE_SET_CANDIDATE_QUERIES

          public static final AuditActions DE_SET_CANDIDATE_QUERIES

    - #### DE_GET_CANDIDATE_QUERIES

          public static final AuditActions DE_GET_CANDIDATE_QUERIES

    - #### DE_SET_EXTENSION_POINTS

          public static final AuditActions DE_SET_EXTENSION_POINTS

    - #### DE_PROCESS_EXTENSION_POINTS

          public static final AuditActions DE_PROCESS_EXTENSION_POINTS

    - #### EC_EXECUTE_QUERY

          public static final AuditActions EC_EXECUTE_QUERY

    - #### EC_GET_COMPONENTS

          public static final AuditActions EC_GET_COMPONENTS

    - #### EC_GET_ATTRIBUTES

          public static final AuditActions EC_GET_ATTRIBUTES

    - #### EC_GET_ALL_ATTRIBUTES

          public static final AuditActions EC_GET_ALL_ATTRIBUTES

    - #### EC_IS_QUERY_REGISTERED

          public static final AuditActions EC_IS_QUERY_REGISTERED

    - #### EC_REGISTER_QUERY

          public static final AuditActions EC_REGISTER_QUERY

    - #### EC_EXECUTE_REGISTERED_QUERY

          public static final AuditActions EC_EXECUTE_REGISTERED_QUERY

    - #### EC_REGISTER_ATTRIBUTES

          public static final AuditActions EC_REGISTER_ATTRIBUTES

    - #### EC_EVENT

          public static final AuditActions EC_EVENT

    - #### EC_BATCH_EVENT

          public static final AuditActions EC_BATCH_EVENT

    - #### EC_REGISTER_COMPONENT

          public static final AuditActions EC_REGISTER_COMPONENT

    - #### EC_REGISTER_ENVIRONMENT

          public static final AuditActions EC_REGISTER_ENVIRONMENT

    - #### EC_REGISTER_MESSAGES

          public static final AuditActions EC_REGISTER_MESSAGES

    - #### EC_DO_PURGE_AUDIT

          public static final AuditActions EC_DO_PURGE_AUDIT

    - #### EC_CHECK_PURGE_AUDIT

          public static final AuditActions EC_CHECK_PURGE_AUDIT

    - #### EC_STOP_PURGE_AUDIT

          public static final AuditActions EC_STOP_PURGE_AUDIT

    - #### EC_GET_CONFIGURATION

          public static final AuditActions EC_GET_CONFIGURATION

    - #### EC_SET_CONFIGURATION

          public static final AuditActions EC_SET_CONFIGURATION

    - #### EC_GET_PI_AUDIT

          public static final AuditActions EC_GET_PI_AUDIT

    - #### EC_GET_CASE_AUDIT

          public static final AuditActions EC_GET_CASE_AUDIT

    - #### EC_GET_WORKITEM_AUDIT

          public static final AuditActions EC_GET_WORKITEM_AUDIT

    - #### EC_GET_CHART

          public static final AuditActions EC_GET_CHART

    - #### EC_GET_CHART_DATA

          public static final AuditActions EC_GET_CHART_DATA

    - #### DAC_GOT_CALENDAR_ENTRIES

          public static final AuditActions DAC_GOT_CALENDAR_ENTRIES

    - #### DAC_UPDATED_WORKING_DAYS

          public static final AuditActions DAC_UPDATED_WORKING_DAYS

    - #### DAC_ADDED_WORKING_DAY_EXCEPTIONS

          public static final AuditActions DAC_ADDED_WORKING_DAY_EXCEPTIONS

    - #### DAC_UPDATED_WORKING_DAY_EXCEPTIONS

          public static final AuditActions DAC_UPDATED_WORKING_DAY_EXCEPTIONS

    - #### DAC_DELETED_WORKING_DAY_EXCEPTIONS

          public static final AuditActions DAC_DELETED_WORKING_DAY_EXCEPTIONS

    - #### DAC_LISTED_TIMEZONES

          public static final AuditActions DAC_LISTED_TIMEZONES

    - #### DAC_LISTED_CALENDARS

          public static final AuditActions DAC_LISTED_CALENDARS

    - #### DAC_GOT_CALENDAR

          public static final AuditActions DAC_GOT_CALENDAR

    - #### DAC_SAVED_CALENDAR

          public static final AuditActions DAC_SAVED_CALENDAR

    - #### DAC_RENAMED_CALENDAR

          public static final AuditActions DAC_RENAMED_CALENDAR

    - #### DAC_DELETED_CALENDAR

          public static final AuditActions DAC_DELETED_CALENDAR

    - #### DAC_ADDED_CALENDAR_ENTRY

          public static final AuditActions DAC_ADDED_CALENDAR_ENTRY

    - #### DAC_UPDATED_CALENDAR_ENTRY

          public static final AuditActions DAC_UPDATED_CALENDAR_ENTRY

    - #### DAC_DELETED_CALENDAR_ENTRIES

          public static final AuditActions DAC_DELETED_CALENDAR_ENTRIES

    - #### DAC_PURGED_CALENDAR_ENTRIES

          public static final AuditActions DAC_PURGED_CALENDAR_ENTRIES

    - #### DAC_CALCULATED_BUSINESS_DEADLINE

          public static final AuditActions DAC_CALCULATED_BUSINESS_DEADLINE

    - #### DAC_CALCULATED_DEADLINE

          public static final AuditActions DAC_CALCULATED_DEADLINE

    - #### DAC_RESOLVED_CALENDAR_REFS

          public static final AuditActions DAC_RESOLVED_CALENDAR_REFS

    - #### DAC_SAVED_CALENDAR_REFS

          public static final AuditActions DAC_SAVED_CALENDAR_REFS

    - #### PFE_LISTED_PAGE_FLOWS

          public static final AuditActions PFE_LISTED_PAGE_FLOWS

    - #### PFE_STARTED_PAGE_FLOW

          public static final AuditActions PFE_STARTED_PAGE_FLOW

    - #### PFE_UPDATED_PAGE_FLOW

          public static final AuditActions PFE_UPDATED_PAGE_FLOW

    - #### PFE_INJECTED_PAGE_FLOW_EVENT

          public static final AuditActions PFE_INJECTED_PAGE_FLOW_EVENT

    - #### BS_LISTED_CATEGORIES

          public static final AuditActions BS_LISTED_CATEGORIES

    - #### BS_QUERIED_CATEGORIES

          public static final AuditActions BS_QUERIED_CATEGORIES

    - #### BS_LISTED_SERVICES

          public static final AuditActions BS_LISTED_SERVICES

    - #### BS_QUERIED_SERVICES

          public static final AuditActions BS_QUERIED_SERVICES

    - #### BS_STARTED_BUSINESS_SERVICE

          public static final AuditActions BS_STARTED_BUSINESS_SERVICE

    - #### BS_UPDATED_BUSINESS_SERVICE

          public static final AuditActions BS_UPDATED_BUSINESS_SERVICE

    - #### BS_INJECTED_BUSINESS_SERVICE_EVENT

          public static final AuditActions BS_INJECTED_BUSINESS_SERVICE_EVENT

    - #### CANCEL_BUSINESS_SERVICE

          public static final AuditActions CANCEL_BUSINESS_SERVICE

    - #### CANCEL_PAGEFLOW

          public static final AuditActions CANCEL_PAGEFLOW

    - #### BDS_CREATE_CASE

          public static final AuditActions BDS_CREATE_CASE

    - #### BDS_READ_CASE

          public static final AuditActions BDS_READ_CASE

    - #### BDS_UPDATE_CASE

          public static final AuditActions BDS_UPDATE_CASE

    - #### BDS_DELETE_CASE_BY_REF

          public static final AuditActions BDS_DELETE_CASE_BY_REF

    - #### BDS_DELETE_CASE_BY_CID

          public static final AuditActions BDS_DELETE_CASE_BY_CID

    - #### BDS_FIND_ALL_CASES

          public static final AuditActions BDS_FIND_ALL_CASES

    - #### BDS_FIND_CASE_BY_CID

          public static final AuditActions BDS_FIND_CASE_BY_CID

    - #### BDS_FIND_CASE_BY_EXAMPLE

          public static final AuditActions BDS_FIND_CASE_BY_EXAMPLE

    - #### BDS_LINK_CASE

          public static final AuditActions BDS_LINK_CASE

    - #### BDS_UNLINK_CASE

          public static final AuditActions BDS_UNLINK_CASE

    - #### BDS_NAVIGATE_CASE

          public static final AuditActions BDS_NAVIGATE_CASE

    - #### BDS_NAVIGATE_CASE_BY_CRITERIA

          public static final AuditActions BDS_NAVIGATE_CASE_BY_CRITERIA

    - #### BDS_FIND_CASE_BY_CRITERIA

          public static final AuditActions BDS_FIND_CASE_BY_CRITERIA

    - #### BDS_EXECUTE_GENERIC_QUERY

          public static final AuditActions BDS_EXECUTE_GENERIC_QUERY

    - #### BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_ID

          public static final AuditActions BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_ID

    - #### BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_NAME

          public static final AuditActions BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_NAME

    - #### BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_ADHOC_VIEW

          public static final AuditActions BDS_GET_CASE_REFERENCES_FOR_DATA_VIEW_BY_ADHOC_VIEW

    - #### BDS_CREATE_DATA_VIEW

          public static final AuditActions BDS_CREATE_DATA_VIEW

    - #### BDS_GET_DATA_VIEW_DETAILS

          public static final AuditActions BDS_GET_DATA_VIEW_DETAILS

    - #### BDS_GET_DATA_VIEW_DETAILS_BY_ID

          public static final AuditActions BDS_GET_DATA_VIEW_DETAILS_BY_ID

    - #### BDS_GET_DATA_VIEW_DETAILS_BY_NAME

          public static final AuditActions BDS_GET_DATA_VIEW_DETAILS_BY_NAME

    - #### BDS_GET_DATA_VIEW_DETAILS_BY_APP

          public static final AuditActions BDS_GET_DATA_VIEW_DETAILS_BY_APP

    - #### BDS_GET_DATA_VIEW_DETAILS_BY_CASE_CLASS

          public static final AuditActions BDS_GET_DATA_VIEW_DETAILS_BY_CASE_CLASS

    - #### BDS_GET_DATA_VIEW_DETAILS_BY_CATEGORY

          public static final AuditActions BDS_GET_DATA_VIEW_DETAILS_BY_CATEGORY

    - #### BDS_EDIT_DATA_VIEW

          public static final AuditActions BDS_EDIT_DATA_VIEW

    - #### BDS_DELETE_DATA_VIEW_BY_ID

          public static final AuditActions BDS_DELETE_DATA_VIEW_BY_ID

    - #### BDS_DELETE_DATA_VIEW_BY_NAME

          public static final AuditActions BDS_DELETE_DATA_VIEW_BY_NAME

    - #### BDS_GET_DATA_VIEW_CATEGORIES

          public static final AuditActions BDS_GET_DATA_VIEW_CATEGORIES

    - #### BDS_GET_CASE_SUMMARY

          public static final AuditActions BDS_GET_CASE_SUMMARY

    - #### BDS_GET_CASE_STATE

          public static final AuditActions BDS_GET_CASE_STATE

    - #### BDS_GET_CASE_MODEL_VERSION_INFO

          public static final AuditActions BDS_GET_CASE_MODEL_VERSION_INFO

    - #### BDS_NOTIFY_DDL_EXECUTION

          public static final AuditActions BDS_NOTIFY_DDL_EXECUTION

    - #### BDS_GET_CASE_MODEL_INFO

          public static final AuditActions BDS_GET_CASE_MODEL_INFO

    - #### BDS_UPDATE_DB_SCRIPT

          public static final AuditActions BDS_UPDATE_DB_SCRIPT

    - #### BDS_GET_CASE_MODEL_AUDIT

          public static final AuditActions BDS_GET_CASE_MODEL_AUDIT

    - #### BDS_GET_CASE_MODEL_BASIC_INFO

          public static final AuditActions BDS_GET_CASE_MODEL_BASIC_INFO

    - #### BDS_GET_CASE_MODEL

          public static final AuditActions BDS_GET_CASE_MODEL

    - #### BDS_GET_CASE_CLASS_INFO_BY_APP

          public static final AuditActions BDS_GET_CASE_CLASS_INFO_BY_APP

    - #### BDS_GET_CASE_CLASS_INFO_BY_APP_AND_CLASSES

          public static final AuditActions BDS_GET_CASE_CLASS_INFO_BY_APP_AND_CLASSES

    - #### BDS_GET_CASE_CLASS_INFO_BY_CASE_MODEL

          public static final AuditActions BDS_GET_CASE_CLASS_INFO_BY_CASE_MODEL

    - #### BDS_GET_CASE_CLASS_INFO_BY_CASE_MODEL_AND_CLASSES

          public static final AuditActions BDS_GET_CASE_CLASS_INFO_BY_CASE_MODEL_AND_CLASSES

    - #### BDS_GET_CASE_CLASS_INFO

          public static final AuditActions BDS_GET_CASE_CLASS_INFO

    - #### DOCUMENT_CREATE

          public static final AuditActions DOCUMENT_CREATE

    - #### DOCUMENT_DELETE

          public static final AuditActions DOCUMENT_DELETE

    - #### DOCUMENT_DELETE_ORPHANED

          public static final AuditActions DOCUMENT_DELETE_ORPHANED

    - #### DOCUMENT_FIND

          public static final AuditActions DOCUMENT_FIND

    - #### DOCUMENT_GET_FOLDER

          public static final AuditActions DOCUMENT_GET_FOLDER

    - #### DOCUMENT_LINK

          public static final AuditActions DOCUMENT_LINK

    - #### DOCUMENT_METADATA

          public static final AuditActions DOCUMENT_METADATA

    - #### DOCUMENT_MOVE

          public static final AuditActions DOCUMENT_MOVE

    - #### DOCUMENT_READ

          public static final AuditActions DOCUMENT_READ

    - #### DOCUMENT_UNLINK

          public static final AuditActions DOCUMENT_UNLINK

    - #### DOCUMENT_GET_REPOSITORY_INFO

          public static final AuditActions DOCUMENT_GET_REPOSITORY_INFO

    - #### EC_STOP_AUTO_ARCHIVE

          public static final AuditActions EC_STOP_AUTO_ARCHIVE

    - #### EC_TRIGGER_AUTO_ARCHIVE

          public static final AuditActions EC_TRIGGER_AUTO_ARCHIVE

    - #### EC_CHECK_AUTO_ARCHIVE

          public static final AuditActions EC_CHECK_AUTO_ARCHIVE

    - #### EC_COMMENT

          public static final AuditActions EC_COMMENT

    - #### EC_GET_COMMENT_REPORT

          public static final AuditActions EC_GET_COMMENT_REPORT

  - ### Method Detail

    - #### values

          public static AuditActions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditActions c : AuditActions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditActions valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.